﻿#version 460
out vec4 outputColor;

in vec2 texCoord;

layout(binding = 0) uniform sampler2D texture1;
layout(binding = 1) uniform sampler2D texture2;

void main(void)
{
    float obj = texture(texture1, texCoord).r;
    vec4 text = texture(texture2, texCoord);
    outputColor = vec4(text.r, text.g, text.b, text.a*obj);
}